Subject: [NEXTEL-1] Things only a woman driver can do- (DISCLAIMER- MEN TOO!)

From: Marcel <[email-masked]>
Date: Mon, 02 Dec 2002 15:06:23 -0500

Subject: Things only a woman driver can do. (DISCLAIMER- MEN TOO!)

Your use of Yahoo! Groups is subject to http://docs.yahoo.com/info/terms/